__author__ = "Pierre-Edouard Guerin"
__license__ = "MIT"


### Paired end alignment then keep reads with quality > 40
rule illuminapairedend:
    input:
        R1=config["fichiers"]["folder_fastq"]+'{run}_R1.fastq.gz',
        R2=config["fichiers"]["folder_fastq"]+'{run}_R2.fastq.gz',
    output:
        fq='01_illuminapairedend/{run}.fastq'
    singularity:
        config["singularity"]["obitools"]
    log:
        '../99_log/02_assembly/01_illuminapairedend/{run}.log'
    params:
        s_min=config["illuminapairedend"]["s_min"]
    shell:
        '''illuminapairedend -r {input.R2} {input.R1} --score-min={params.s_min} > {output.fq} 2> {log}'''

### Remove unaligned sequence records
rule remove_unaligned:
    input:
        fq='01_illuminapairedend/{run}.fastq'
    output:
        ali='02_remove_unaligned/{run}.ali.fastq'
    singularity:
        config["singularity"]["obitools"]
    log:
        '../99_log/02_assembly/02_remove_unaligned/{run}.log'
    shell:
        '''obigrep -p 'mode!=\"joined\"' {input.fq} > {output.ali} 2> {log}'''
