### Assign each sequence to a taxon
rule assign_taxon:
    input:
        '02_dereplicated/{run}.uniq.fasta'
    output:
        '03_assigned/{run}.tag.u.fasta'
    singularity:
        config["singularity"]["obitools"]
    params:
        drun= lambda wildcards: dfpmr[dfpmr.projmarkrun == wildcards.run].to_dict('records')[0],
    log:
        '../99_log/05_assignment/03_assign_taxon/{run}.log'
    shell:
        '''ecotag -d {params.drun[bdr]} -R {params.drun[fasta]} {input} > {output} 2> {log}'''
